明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1658|回复: 4

AutoCAD 2004 英文版 VBA 的

[复制链接]
发表于 2003-9-10 09:38:00 | 显示全部楼层 |阅读模式
AutoCAD 2004 英文版VBA命令OFFSET有个BUG,将其帮助文件里面Offset_Example例程中各个顶点坐标都加上10000,执行后,原有对象会偏移到坐标系统原点。发现这个问题,是因为笔者编了一段自用程序,其中用到Offset命令,在AutoCAD 2002里面调试成功,转到AutoCAD 2004后屡试不爽。哪位高手遇到此类情况?有何解决办法?是否用Service Pack 1可以解决?若是,能否帮忙发个Service Pack 1?Autodesk网站上Service Pack 1的连接已经不可用了!
发表于 2003-9-10 13:10:00 | 显示全部楼层
确实有这个问题,而且是偏移后的对象没有问题,而原对象会被移动原点附近。
在中文版也是这样。
可以这样解决,在偏移前原对象先复制一个,进行偏移,然后再删除复制的对象。
发表于 2003-9-10 13:10:00 | 显示全部楼层
至于SP1,你可以到本站下载中心下载。
发表于 2003-9-10 13:16:00 | 显示全部楼层
  1. Sub Example_Offset()
  2.     ' This example creates a lightweight polyline
  3.     ' and then offsets the polyline.
  4.    
  5.     ' Create the polyline
  6.     Dim plineObj As AcadLWPolyline
  7.     Dim points(0 To 11) As Double
  8.     points(0) = 10001: points(1) = 10001
  9.     points(2) = 10001: points(3) = 10002
  10.     points(4) = 10002: points(5) = 10002
  11.     points(6) = 10003: points(7) = 10002
  12.     points(8) = 10004: points(9) = 10004
  13.     points(10) = 10004: points(11) = 10001
  14.     Set plineObj = ThisDrawing.ModelSpace.AddLightWeightPolyline(points)
  15.     plineObj.Closed = True
  16.     [b]Set plineObj = plineObj.Copy[/b]
  17.     ZoomExtents
  18.     ThisDrawing.Regen acActiveViewport
  19.     MsgBox "Offset the polyline by 0.25.", , "Offset Example"
  20.    
  21.     ' Offset the polyline
  22.     Dim offsetObj As Variant
  23.     offsetObj = plineObj.Offset(0.25)
  24.     [b]plineObj.Delete[/b]
  25.     ThisDrawing.Regen acActiveViewport
  26.    
  27.     ZoomExtents
  28.     MsgBox "Offset completed.", , "Offset Example"
  29.    
  30. End Sub
 楼主| 发表于 2003-9-11 10:03:00 | 显示全部楼层
非常感谢mccad给出例程!
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-28 14:53 , Processed in 0.178328 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表